# Class: LineApi

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/line_linter.coffee

## Variables Summary

lineNumber =

      0

## Instance Method Summary

- # (void) isLiterate()
- # (void) maintainClassContext(line) maintain the contextual information for class-related stuff
- # (void) isLastLine()
- # (void) lineHasToken(tokenType = null, lineNumber = null) Return true if the given line actually has tokens.
- # (void) getLineTokens() Return tokens for the given line number.

## Constructor Details

# (void) constructor(source, config, tokensByLine, literate)

## Instance Method Details

# (void) isLiterate()

# (void) maintainClassContext(line)

maintain the contextual information for class-related stuff

# (void) isLastLine()

# (void) lineHasToken(tokenType = null, lineNumber = null)

Return true if the given line actually has tokens. Optional parameter to check for a specific token type and line number.

# (void) getLineTokens()

Return tokens for the given line number.

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input